Summary:	OCI container runtime monitor
Name:		conmon
Version:	2.0.31
Release:	1
License:	Apache v2.0
Group:		Applications/System
#Source0Download: https://github.com/containers/conmon/releases
Source0:	https://github.com/containers/conmon/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	336396a8e729440f6222b74ab6538732
URL:		https://github.com/containers/conmon
BuildRequires:	glib2-devel
BuildRequires:	go-md2man
BuildRequires:	libseccomp-devel
BuildRequires:	pkgconfig
BuildRequires:	systemd-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Conmon is a monitoring program and communication tool between a
container manager (like Podman or CRI-O) and an OCI runtime (like runc
or crun) for a single container.

%prep
%setup -q

%{__rm} -r tools/vendor

%build
# prevent build of go-md2man
install -d tools/build
: > tools/build/go-md2man
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcppflags} %{rpmcflags}" \
	LDLAGS="%{rpmldflags}" \

%{__make} docs \
        GOMD2MAN=/usr/bin/go-md2man

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
        PREFIX=%{_prefix} \
        BINDIR=%{_bindir} \
        LIBEXECDIR=%{_libexecdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md  changelog.txt
%attr(755,root,root) %{_bindir}/conmon
%{_mandir}/man8/conmon.8*
%changelog
* Wed Dec 08 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/conmon.git;a=log;h=master

* Wed Dec 08 2021 Jan Palus <atler@pld-linux.org> 7e44a53
- up to 2.0.31

* Thu Sep 30 2021 Jan Palus <atler@pld-linux.org> 4e3ace0
- use system go-md2man

* Thu Sep 30 2021 Jan Palus <atler@pld-linux.org> 4f62348
- up to 2.0.30

* Sat Jun 05 2021 Jan Palus <atler@pld-linux.org> d747096
- up to 2.0.29

* Fri May 21 2021 Jan Palus <atler@pld-linux.org> 89923db
- up to 2.0.28

* Thu Mar 04 2021 Jan Palus <atler@pld-linux.org> 4400995
- up to 2.0.26

* Fri Dec 04 2020 Jan Palus <atler@pld-linux.org> 2fdf82b
- up to 2.0.21

* Thu Aug 13 2020 Jan Palus <atler@pld-linux.org> b7b5a8d
- new (version 2.0.20)

